package com.qmth.sop.business.service;

import com.qmth.sop.business.entity.TBDingStatistic;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 考勤提交统计表 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-05-22
 */
public interface TBDingStatisticService extends IService<TBDingStatistic> {

    /**
     * 构建考勤统计 (sop计划时间变更 -> 更新打卡统计时间)
     *
     * @param sopNo sopNo
     */
    void buildDingStatistic(String sopNo);

    /**
     * 构建考勤统计 (构建打卡统计信息)
     */
    void buildDingStatistic();
}
